Skip to main content
GET
/
entities
/
list
Entities List
curl --request GET \
  --url https://pro-api.coingecko.com/api/v3/entities/list \
  --header 'x-cg-pro-api-key: <api-key>'
[
  {
    "id": "texas",
    "symbol": "",
    "name": "Texas",
    "country": "US"
  },
  {
    "id": "digipowerx",
    "symbol": "DGX.V",
    "name": "DigiPowerX",
    "country": "US"
  }
]
Use this endpoint to get entity IDs for other Public Treasury endpoints.

SDK Examples

const response = await client.entities.getList();

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-pro-api-key
string
header
required

Query Parameters

entity_type
enum<string>

Filter by entity type.

Available options:
company,
government
per_page
integer

Total results per page. Default value: 100 Valid values: 1...250

page
integer

Page through results. Default value: 1

Response

200 - application/json

List of entities with ID, name, symbol, and country

id
string
required

Entity ID

symbol
string
required

Ticker symbol of public company

name
string
required

Entity name

country
string
required

Country code